import { ActivityModel } from './../common/ActivityModel';
import { DataManager } from './../../manager/DataManager';
import { NetManager } from '../../manager/NetManager';
import { LotteryData } from '../../data/common/lottery/LotteryData';
import { IExposureData } from '../../data/common/IExposureData';
// import { IExposureData } from '../../data/common/IExposureData';
export class PlugWinModel extends ActivityModel {
    /**
     * 奖品数据
     */
    protected get lottery(): LotteryData {
        return DataManager.ins.getPlugOrderStatusData.lottery;
    }

    /**
     * 福袋埋点数据
     */
    protected get exposure(): IExposureData {
        return DataManager.ins.getPlugOrderStatusData.exposure;
    }
}